- name: Remote Access - Install Remote Access Software
  ansible.builtin.package:
    name:
      - xrdp
      - x2goserver
      - byobu
    state: present
    update_cache: true
  become: true
  tags: always

- name: Remote Access - Open firewall ports for xrdp
  community.general.ufw:
    rule: allow
    port: 3389
    direction: in
    proto: any
  become: true
  tags: always

- name: Remote Access - Ensure XRDP server is started
  ansible.builtin.service:
    name: xrdp
    enabled: true
    daemon_reload: true
  become: true
  tags: always

- name: Remote Access - Set Network Permissions
  ansible.builtin.template:
    src: remote-access/polkit.j2
    dest: /etc/polkit-1/localauthority/50-local.d/45-allow-network.pkla
    owner: root
    group: root
    mode: "0644"
  become: true
  tags: always
